window.Gleam.initSearch([{"doc":"gloq","title":"gloq","content":"# gloq\n\n[![Package Version](https://img.shields.io/hexpm/v/gloq)](https://hex.pm/packages/gloq)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gloq/)\n![Tests](https://github.com/github/docs/actions/workflows/test.yml/badge.svg)\n\n&gt; [!Note]\n&gt; Library is in its very early stages      \n&gt; Feel free to create PR&#39;s and Issues\n\n```sh\ngleam add gloq\n```\n```gleam\nimport gleam/io\nimport gloq\n\npub fn main() {\n  let key = &quot;abc123&quot;\n\n  let req = \n    default_groq_request()\n    |&gt; with_key(key)\n    |&gt; with_user(&quot;user&quot;)\n    |&gt; with_context(&quot;Hello, how are you?&quot;)\n    |&gt; with_model(&quot;llama3-8b-8192&quot;)\n    |&gt; build()\n\n  io.println(req.body)\n\n}\n```\n\nFurther documentation can be found at &lt;https://hex.pm/packages/gloq&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"gloq","title":"GroqRequestBuilder","content":"pub type GroqRequestBuilder {\n  GroqRequestBuilder(\n    key: String,\n    user: String,\n    context: String,\n    model: String,\n  )\n}\n\nGroqRequestBuilder(\n  key: String,\n  user: String,\n  context: String,\n  model: String,\n)\n\n\nSynonyms:\ngloq.GroqRequestBuilder\ngloq GroqRequestBuilder","url":"gloq.html#GroqRequestBuilder"},{"doc":"gloq","title":"build","content":"pub fn build(builder: GroqRequestBuilder) -&gt; Request(String)\n Builds the request body for the GroqCloud API that can be sent using the appropriate HTTP client.\nSynonyms:\ngloq.build\ngloq build","url":"gloq.html#build"},{"doc":"gloq","title":"default_groq_request","content":"pub fn default_groq_request() -&gt; GroqRequestBuilder\n Creates a new GroqRequestBuilder with default model and user values.\nSynonyms:\ngloq.default_groq_request\ngloq default_groq_request","url":"gloq.html#default_groq_request"},{"doc":"gloq","title":"new_groq_request","content":"pub fn new_groq_request() -&gt; GroqRequestBuilder\n Create a new GroqRequestBuilder with no default values. \nSynonyms:\ngloq.new_groq_request\ngloq new_groq_request","url":"gloq.html#new_groq_request"},{"doc":"gloq","title":"send","content":"pub fn send(builder: GroqRequestBuilder) -&gt; String\n Sends the request to the GroqCloud API for chat completions.\n &gt; [!Warning]\n &gt; Function is deprecated, send logic is left to consumer\n To create a request, use the `build` function and send the request using the appropriate HTTP client of your choice.\n Uses the `hackney` HTTP client to send the request, this command is no longer supported.\nSynonyms:\ngloq.send\ngloq send","url":"gloq.html#send"},{"doc":"gloq","title":"with_context","content":"pub fn with_context(\n  builder: GroqRequestBuilder,\n  context: String,\n) -&gt; GroqRequestBuilder\n Sets the context/prompt for the GroqRequestBuilder.\nSynonyms:\ngloq.with_context\ngloq with_context","url":"gloq.html#with_context"},{"doc":"gloq","title":"with_key","content":"pub fn with_key(\n  builder: GroqRequestBuilder,\n  key: String,\n) -&gt; GroqRequestBuilder\n Enum of all models available for the GroqRequestBuilder.\n Sets the API key for the GroqRequestBuilder.\nSynonyms:\ngloq.with_key\ngloq with_key","url":"gloq.html#with_key"},{"doc":"gloq","title":"with_model","content":"pub fn with_model(\n  builder: GroqRequestBuilder,\n  model: String,\n) -&gt; GroqRequestBuilder\n Sets the model for the GroqRequestBuilder.\nSynonyms:\ngloq.with_model\ngloq with_model","url":"gloq.html#with_model"},{"doc":"gloq","title":"with_user","content":"pub fn with_user(\n  builder: GroqRequestBuilder,\n  user: String,\n) -&gt; GroqRequestBuilder\n Sets the user role for the GroqRequestBuilder.\nSynonyms:\ngloq.with_user\ngloq with_user","url":"gloq.html#with_user"},{"doc":"gloq","title":"gloq","content":"","url":"gloq.html"}]);